* Copyright (c) 1990 by AT&T Bell Telephone Laboratories, Incorporated. */
* The C++ Answer Book */
* Tony Hansen */
* All rights reserved. */
/ node set <nodeset.h>
/ Exercise 5.4
ifndef NODESET_H
define NODESET_H

truct tnode

   char *tword;
   int count;
   tnode *left, *right;
   tnode(char*);
   ~tnode();
;

ypedef int (*i_f_ptn_ptn)(tnode*, tnode*);

lass nodeset

   int cursize, maxsize;
   tnode **x;
   i_f_ptn_ptn cmp;

ublic:
   nodeset(int m, i_f_ptn_ptn cmp); // at most m nodes
   ~nodeset();

   int member(tnode* t);	// is "t" a member?
   void insert(tnode* t);	// add "t" to set

   void iterate(int& i)	{ i = 0; }
   int ok(int& i)		{ return i < cursize; }
   tnode* next(int& i)		{ return x[i++]; }
;
endif /* NODESET_H */
